Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageOrigin

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageOrigin

Direct Known Subclasses:
  `TdApi.MessageOriginChannel`, `TdApi.MessageOriginChat`, `TdApi.MessageOriginHiddenUser`, `TdApi.MessageOriginUser`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.MessageOrigin extends TdApi.Object permits TdApi.MessageOriginUser, TdApi.MessageOriginHiddenUser, TdApi.MessageOriginChat, TdApi.MessageOriginChannel
This class is an abstract base class. Contains information about the origin of a message.

## Constructor Summary

Constructors
Constructor
Description
`MessageOrigin()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageOrigin

public MessageOrigin()
Default class constructor.